<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
// The code removes the H2 tag from the built-in pagination function template.
add_filter('navigation_markup_template', 'spatium14_navigation_template', 10, 2 );
function spatium14_navigation_template( $template, $class ){
	return '
	<nav class="navigation %1$s" role="navigation">
	<div class="nav-links">%3$s</div>
	</nav>    
	';
}
// auto trim articles
function spatium14_excerpt_length( $length ) {
	if ( is_admin() ) {
		return $length;
	}
	return 20;
}
add_filter( 'excerpt_length', 'spatium14_excerpt_length', 999 );
// add more
function spatium14_excerpt_more( $more ) {
	if ( is_admin() ) {
		return $more;
	}
	return sprintf( '<a href="%1$s" class="more-link">%2$s</a>',
		esc_url( get_permalink( get_the_ID() ) ),
		sprintf( __( ' Continue reading.. %s', 'spatium14' ), '<span class="screen-reader-text">' . get_the_title( get_the_ID() ) . '</span>' )
	);
}
add_filter( 'excerpt_more', 'spatium14_excerpt_more', 999 );
//site-info in footer
function spatium14_sign_footer() {
	echo ' <a href="https://spatium1490.com" target="_blank" title="Theme by Minimalistic Web">by Minimalistic Web</a> ';
}
add_action( 'spatium14_sign', 'spatium14_sign_footer', 999 );
/**
 * Fix skip link focus in IE11.
 *
 * This does not enqueue the script because it is tiny and because it is only for IE11,
 * thus it does not warrant having an entire dedicated blocking script being loaded.
 *
 * @link https://git.io/vWdr2
 */
function spatium14_skip_link_focus_fix() {
	// The following is minified via `terser --compress --mangle -- assets/js/skip-link-focus-fix.js`.
	?>
	<script>
		/(trident|msie)/i.test(navigator.userAgent)&&document.getElementById&&window.addEventListener&&window.addEventListener("hashchange",function(){var t,e=location.hash.substring(1);/^[A-z0-9_-]+$/.test(e)&&(t=document.getElementById(e))&&(/^(?:a|select|input|button|textarea)$/i.test(t.tagName)||(t.tabIndex=-1),t.focus())},!1);
	</script>
	<?php
}
add_action( 'wp_print_footer_scripts', 'spatium14_skip_link_focus_fix' );
/*
 * align-wide Gutenberg
 */
function spatium14_full_block() {
	add_theme_support( 'align-wide' );
}
add_action( 'after_setup_theme', 'spatium14_full_block' );
/*
* Admin panel notification
*/
function spatium14_custom_admin_notice()
{ ?>
	<div class="notice notice-success is-dismissible">
		<p>
			<?php esc_html_e( '1. Write a review and rate the topic on  ', 'spatium14' ); ?>
			<a href="<?php echo esc_url( __( 'https://wordpress.org/support/theme/spatium14/reviews/#new-post', 'spatium14' ) ); ?>" target="_blank">
				<?php printf( esc_html__( ' WordPress.org %s', 'spatium14' ), '' );	?>
				
			</a>
		</p>
		<p>
			<?php esc_html_e( '2. Improving and customizing the theme', 'spatium14' ); ?>
			<a href="<?php echo esc_url( __( 'mailto:mweb1490@gmail.com', 'spatium14' ) ); ?>">
				<?php printf( esc_html__( 'mweb1490@gmail.com %s', 'spatium14' ), '' ); ?>
			</a>
		</p> 
	</div>
	<?php
}
add_action( 'admin_notices', 'spatium14_custom_admin_notice' );

