<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function spatium14_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'head-big-sidebar', 'spatium14' ),
		'id'            => 'h-b-sidebar-1',
		'description'   => esc_html__( 'Add widgets here.', 'spatium14' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="head-widget-title">',
		'after_title'   => '</div>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'head-small-sidebar', 'spatium14' ),
		'id'            => 'h-s-sidebar-2',
		'description'   => esc_html__( 'Add widgets here.', 'spatium14' ),
		'before_widget' => '<section id="%1$s" class="h-s-widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="head-widget-title">',
		'after_title'   => '</div>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer-sidebar 1', 'spatium14' ),
		'id'            => 'f-bar-1',
		'description'   => esc_html__( 'Add widgets here.', 'spatium14' ),
		'before_widget' => '<section id="%1$s" class="footer-widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="ftr-widget-title">',
		'after_title'   => '</div>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer-sidebar 2', 'spatium14' ),
		'id'            => 'f-bar-2',
		'description'   => esc_html__( 'Add widgets here.', 'spatium14' ),
		'before_widget' => '<section id="%1$s" class="footer-widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="ftr-widget-title">',
		'after_title'   => '</div>',
	) );

		register_sidebar( array(
		'name'          => esc_html__( 'Woocommerce sidebar', 'spatium14' ),
		'id'            => 'woo-bar',
		'description'   => esc_html__( 'Sidebar for woocommerce page.', 'spatium14' ),
		'before_widget' => '<section id="%1$s" class="woo-widget %2$s">',
		'after_widget'  => '</section> <hr>',
		'before_title'  => '<div class="woo-widget-title">',
		'after_title'   => '</div>',
	) );
}
add_action( 'widgets_init', 'spatium14_widgets_init' );