<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package spatium14
 */
get_header();
?>
<div class="uk-section uk-padding-remove-bottom">
		<div class="uk-container">  
			<?php 
			the_post_navigation( array(
				'next_text' => '<span class="screen-reader-text">Next post</span> ' .
				'<span class="post-title">%title</span> <span uk-icon="chevron-right" width="34" height="34"></span>',
				'prev_text' =>'<span class="screen-reader-text">Previous Post</span> ' .
				' <span uk-icon="chevron-left" width="34" height="34"></span> <span class="post-title">%title</span>',
			) );
			?>
			
		</div> 
	</div>
	<div class="uk-section">
		<div class=" uk-container ">
			
			<div   class="uk-grid-match  uk-grid-small uk-flex uk-flex-center"   uk-grid>
				<div class="uk-width-3-5@m uk-width-2-3@l">
					
					<div id="primary" class="content-area">
						<main id="main" class="site-main">
							<?php
							while ( have_posts() ) :
								the_post();
								get_template_part( 'template-parts/content-post', get_post_type() );
		endwhile; // End of the loop.
		?>
	</main><!-- #main -->
</div><!-- #primary -->
</div>
</div> 
<hr>

<div class="related-post">
	<span uk-icon="icon: list"></span>  <?php echo esc_html_e( 'Related post', 'spatium14' ) ?>
</div>
<div class="uk-grid-small uk-child-width-1-3@m uk-text-center" uk-grid>
	<?php
	$categories = get_the_category($post->ID);
	if ($categories) {
		$category_ids = array();
		foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
		$args=array(
     'category__in' => $category_ids,  
     'post__not_in' => array($post->ID),
     'showposts'=>3,  
     'orderby'=>'rand',  
     'ignore_sticky_posts'=>1);  
		$spatium14_query = new WP_Query($args);
		if( $spatium14_query->have_posts() ) {
			while ($spatium14_query->have_posts()) {
				$spatium14_query->the_post();
				?>
				<div class="uk-card uk-card-default uk-card-body uk-card-hover">
					<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php echo get_the_post_thumbnail() ; ?> 
					<?php echo '<div class="rp-title">'. esc_html( get_the_title() ) .'</div>' ; ?>
					</a>
				</div>
				<?php
			}
			
		}
		wp_reset_postdata();
	}
	?>
</div>

<?php 
// If comments are open or we have at least one comment, load up the comment template.
if ( comments_open() || get_comments_number() ) :
	comments_template();
endif;
?>
</div>
</div>
<?php get_footer(); ?>
