<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package spatium14
 */
get_header();
?>
<div class="uk-section">
	<div class=" uk-container ">

		<!-- sidebar for mobile -->
		<div uk-grid>
			<div class="uk-width-1-4@m uk-hidden@m">
				<?php get_template_part('inc/woo-bar/mobile-bar' ) ; ?>
			</div>

			<!-- sidebar for Desktop  -->
			<div class="uk-width-1-4@m uk-visible@m">
				<?php if ( is_active_sidebar('woo-bar') ) : ?>
					<?php dynamic_sidebar('woo-bar' ); ?> 
				<?php endif; ?>
			</div>
			
			<div class="uk-width-3-4@m">
				<div id="primary" class="content-area">
					<main id="main" class="site-main">
						<?php woocommerce_content(); ?>
					</main><!-- #main -->
				</div><!-- #primary -->
			</div>

		</div>

	</div>
</div> 
<?php get_footer(); ?>
